\name{threshold.msi}
\alias{threshold.msi}
\title{threshold.msi}
\description{
can be used to find an appropriate threshold value for crackrec.
threshold.msi uses kernel denstity estimation with Gaussian kernel. 
}
\usage{
threshold.msi(mat, bw)
}
\arguments{
  \item{mat}{the matrix representation of an image.}
  \item{bw}{the smoothing parameter (bandwidth).}
}
\value{Returns a numeric value}
\author{Janine Keppler, Alexander Stepper \email{stepper@mathematik.uni-kassel.de}}
\examples{
\dontrun{
threshold.msi(matrix, bw=30)

# A simple visual test for the threshold value
t <- threshold.msi(matrix, bw=30)
image(matrix >= t, col = gray((1:32)/32))
}
}
\seealso{
\code{\link{rbmp}}, \code{\link{crackrec}}, \code{\link{medianfilter}}, \code{\link{crackplot}}, \code{\link{shadow.remove}}.
}
\keyword{internal}
